#!/usr/bin/env bash
set -xeuo pipefail

VERSION=$(<VERSION)
IMAGE="dr.zoemp.be/slskd:${VERSION}"
LOCATION="slskd"
FQDN="${LOCATION}.${CLOUDRON_APP_DOMAIN:-zoemp.be}"

# 1) Build & push
docker build --platform linux/amd64 -t "${IMAGE}" -f Dockerfile.cloudron .
docker push "${IMAGE}"

# 2) Install ou update sur Cloudron
if cloudron status --app "${FQDN}" &>/dev/null; then
  echo "🔄 Mise à jour de ${FQDN} → ${IMAGE}"
  cloudron update --app "${FQDN}" --image "${IMAGE}"
else
  echo "🚀 Installation de org.zoemp.slskd sur ${FQDN}"
  cloudron install \
    --image    "${IMAGE}" \
    --location "${LOCATION}" \
    org.zoemp.slskd
fi

